Recent

Author Topic: Cannot Install Any Package  (Read 855 times)

egsuh

  • Hero Member
  • *****
  • Posts: 828
Cannot Install Any Package
« on: September 05, 2021, 07:03:05 am »
I was using Lazarus 2.0.12 very well on Windows 10. I tried to install IBX from Online package manager, but since then Lazarus is not responding. I quitted it, re-installed Lazarus. Fine up to this. But when I tried to install FrameViewer then it displays message that "Object reference is Nil", and cannot run Lazarus anymore.

egsuh

  • Hero Member
  • *****
  • Posts: 828
Re: Cannot Install Any Package
« Reply #1 on: September 05, 2021, 07:37:24 am »
Now I can set up Lazarus by deleting all previous configurations, and install FrameViewer. But when I tried to install IBX from Online Package Manager, the error happen again. Object reference is Nil.

GetMem

  • Hero Member
  • *****
  • Posts: 3452
Re: Cannot Install Any Package
« Reply #2 on: September 05, 2021, 08:23:29 am »
Hi egsuh,

Quote
I was using Lazarus 2.0.12 very well on Windows 10. I tried to install IBX from Online package manager, but since then Lazarus is not responding. I quitted it, re-installed Lazarus. Fine up to this. But when I tried to install FrameViewer then it displays message that "Object reference is Nil", and cannot run Lazarus anymore.

First of all you don't have to reinstall Lazarus, you always have a backup of the binary in the installation folder(see attached screenshot). Delete the current executable, then rename lazarus.old to lazarus.
Secondly I don't think this issue is related to OPM, please try to install IBX by opening the lpk file. Does the same error occurs?

egsuh

  • Hero Member
  • *****
  • Posts: 828
Re: Cannot Install Any Package
« Reply #3 on: September 05, 2021, 09:00:18 am »
I tried to install IBX from downloaded lpk file, but the same problem recurred. Your advice of re-using old file helped me greatly this time^^

GetMem

  • Hero Member
  • *****
  • Posts: 3452
Re: Cannot Install Any Package
« Reply #4 on: September 05, 2021, 03:32:44 pm »
I installed IBX both on Lazarus 2.0.12/Trunk(32 bit), everything works fine, no exception, no "Object reference is Nil". Are you using 64 bit Lazarus?

Edit: It works with 64 bit Lazarus too. I'm puzzled by this issue.
« Last Edit: September 05, 2021, 03:56:32 pm by GetMem »

Zvoni

  • Hero Member
  • *****
  • Posts: 694
Re: Cannot Install Any Package
« Reply #5 on: September 06, 2021, 08:53:52 am »
Did you install Lazarus into "Program Files"?
If yes, never do that. Install to "c:\Lazarus" to avoid the UAC-Crap
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircraft

GetMem

  • Hero Member
  • *****
  • Posts: 3452
Re: Cannot Install Any Package
« Reply #6 on: September 06, 2021, 09:20:57 am »
Did you install Lazarus into "Program Files"?
If yes, never do that. Install to "c:\Lazarus" to avoid the UAC-Crap
Most likely some dependencies are not met. See here for more details: https://forum.lazarus.freepascal.org/index.php/topic,54287.msg403249.html#msg403249

Zvoni

  • Hero Member
  • *****
  • Posts: 694
Re: Cannot Install Any Package
« Reply #7 on: September 06, 2021, 12:05:56 pm »
Then the question remains: After you download from OPM and install, is the recompile successful?
his subject is "Cannot install any packages"
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircraft

 

TinyPortal © 2005-2018